## f_chdir

The `f_chdir` function changes the current directory of the logical drive.

    FRESULT f_chdir (
      const TCHAR* path /* [IN] Path name */
    );

#### Parameters

path
  Pointer to the null-terminated string that specifies the directory to be set as current directory.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_NO_PATH, FR_INVALID_NAME, FR_INVALID_DRIVE, FR_NOT_ENABLED, FR_NO_FILESYSTEM, FR_TIMEOUT, FR_NOT_ENOUGH_CORE

#### Description

The `f_chdir` function changes the current directory of the logical drive. Also the current drive will be changed when FatFs is configured `FF_STR_VOLUME_ID == 2` and an full path is specified. The current directory of each logical drive is set root directory on mount.

Note that the current directory is retained in the each filesystem object and the current drive is retained in a static variable, so that they also affect other tasks that use the file functions.

#### QuickInfo

Available when `FF_FS_RPATH >= 1`.

#### Example

        /* Set current direcoty of the current drive ("dir1" in the root directory) */
        f_chdir("/dir1");

        /* Set current direcoty of drive 2 (parent directory of current directory) */
        f_chdir("2:..");

        /* Set current direcoty of drive "sdcard" (FF_STR_VOLUME_ID == 1) */
        f_chdir("sdcard:/dir1");

        /* Set current direcoty of drive "flash" and set this drive current drive (FF_STR_VOLUME_ID == 2) */
        f_chdir("/flash/dir1");

#### See Also

`f_chdrive, f_getcwd`

Return